/************************************************/
/*						*/
/*	Unite level subroutine declaration	*/
/*						*/
/************************************************/
#ifndef	UNIDEV
#define UNIDEV

#include	<unistd.h>
#include	<fcntl.h>

#include	"subrou.h"

#define	TAPEEND	-1	/*set tape cursor at last file	*/
#define	TAPEBEG	-2	/*set tape cursor at start	*/
#define	ENDFILE -3	/*set tape cursor on last file	*/

typedef	void	THANDLE;

extern int dev_istapein(THANDLE *handle);
extern THANDLE *dev_open(char *tapedev,siz64_t blksize,int mode);
extern THANDLE *dev_close(THANDLE *handle,int eject);
extern int dev_move(THANDLE *handle,int slot);
extern int dev_read(THANDLE *handle,const char* buff,siz64_t count);
extern int dev_write(THANDLE *handle,const char *buff,siz64_t count);
extern int dev_seek(THANDLE *handle,long blocknum);
extern off64_t dev_curseek(THANDLE *handle);
extern int dev_getfilenum(THANDLE *handle);
extern int dev_setmark(THANDLE *handle,int count);
extern siz64_t dev_getblksize(THANDLE *handle);
extern int dev_setsync(THANDLE *handle);
#endif
